#include <stdio.h>
#include <stdlib.h>
void unos(int a[],int N){
	int i;
	for(i=0;i<N;i++){
		scanf("%d",&a[i]);
	}
}
int bp(int a[],int N){
	int i,j,b=0;
	for(i=0;i<N;i++){
		for(j=i+1;j<N;j++){
			if(a[i]==a[j]){
				b++;
			}
		}
	}
	return b;
}
void stampaj(int a[],int N){
	int i,j;
	for(i=0;i<N;i++){
		for(j=i+1;j<N;j++){
			if(a[i]==a[j]){
			printf("%d\t",a[i]);
			
			}
		}
	}
	
}
int main()
{
    int N,K;
    int a[100000];
    scanf("%d",&N);
    scanf("%d",&K);
    unos(a,N);
printf("%d\n",bp(a,N));
stampaj(a,N);
   
   
    return 0;
}